summaryrefslogtreecommitdiffstats
path: root/po/generate-compendium.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 19:43:11 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 19:43:11 +0000
commitfc22b3d6507c6745911b9dfcc68f1e665ae13dbc (patch)
treece1e3bce06471410239a6f41282e328770aa404a /po/generate-compendium.sh
parentInitial commit. (diff)
downloadmanpages-l10n-fc22b3d6507c6745911b9dfcc68f1e665ae13dbc.tar.xz
manpages-l10n-fc22b3d6507c6745911b9dfcc68f1e665ae13dbc.zip
Adding upstream version 4.22.0.upstream/4.22.0
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'po/generate-compendium.sh')
-rwxr-xr-xpo/generate-compendium.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/po/generate-compendium.sh b/po/generate-compendium.sh
new file mode 100755
index 00000000..23d0d176
--- /dev/null
+++ b/po/generate-compendium.sh
@@ -0,0 +1,42 @@
+#!/bin/sh
+#
+# Copyright © 2017-2019 Dr. Tobias Quathamer <toddy@debian.org>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Require two arguments (.po file name and compendium file name)
+if [ ! -f "$1" ]; then
+ echo "The file '$1' could not be found."
+ exit 13
+fi
+if [ -z "$2" ]; then
+ echo "Specify the compendium filename."
+ exit 2
+fi
+
+# Extract header entry for compendium (first line until first blank line)
+header=$(mktemp)
+sed -n "1,/^$/p" "$1" > "$header"
+
+# Join all files into one compendium
+giant=$(mktemp)
+msgcat common/*po > "$giant"
+
+# Remove untranslated and fuzzy entries
+tmpcompendium=$(mktemp)
+msgattrib --translated --no-fuzzy "$giant" > "$tmpcompendium"
+
+# Create a custom compendium with the header from the translation
+msgcat --use-first "$header" "$tmpcompendium" > "$2"
+rm -f "$header" "$giant" "$tmpcompendium"